events.listen('recipes', event => {

  // Plates

event.recipes.create.pressing('immersiveengineering:plate_copper', '#forge:ingots/copper')
event.recipes.create.pressing('immersiveengineering:plate_aluminum', '#forge:ingots/aluminum')
event.recipes.create.pressing('immersiveengineering:plate_lead', '#forge:ingots/lead')
event.recipes.create.pressing('immersiveengineering:plate_silver', '#forge:ingots/silver')
event.recipes.create.pressing('immersiveengineering:plate_nickel', '#forge:ingots/nickel')
event.recipes.create.pressing('immersiveengineering:plate_uranium', '#forge:ingots/uranium')
event.recipes.create.pressing('immersiveengineering:plate_constantan', '#forge:ingots/constantan')
event.recipes.create.pressing('immersiveengineering:plate_electrum', '#forge:ingots/electrum')
event.recipes.create.pressing('immersiveengineering:plate_steel', '#forge:ingots/steel')
event.recipes.create.pressing('immersiveengineering:plate_iron', '#forge:ingots/iron')
event.recipes.create.pressing('immersiveengineering:plate_gold', '#forge:ingots/gold')
event.recipes.create.pressing('ceramics:unfired_clay_plate', '#forge:clay')
event.recipes.create.pressing('kubejs:blank_token', 'kubejs:blank_ore')

  // Mixing

event.recipes.create.mixing('kubejs:nether_token', [
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'rats:nether_cheese',
  'rats:nether_cheese',
  'kubejs:blank_token',
  Item.of('minecraft:potion', {Potion:"minecraft:long_fire_resistance"}),
  'thermal:light_oil_bucket'
])

event.recipes.create.mixing('kubejs:end_token', [
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:chorus_fruit',
  'minecraft:chorus_fruit',
  'kubejs:blank_token',
  'thermal:enderium_ingot',
  'kubejs:end_enriching_fluid_bucket'
])

event.recipes.create.mixing('kubejs:coal_dust', [
  'minecraft:charcoal',
  '#forge:dusts/sulfur'
])

event.recipes.create.mixing((fluid.of('minecraft:lava', 50)), [
  '#forge:cobblestone'
])

// Milling

event.recipes.create.milling(Item.of('kubejs:dust', 2), 'minecraft:flint').processingTime(200)
event.recipes.create.milling(Item.of('minecraft:magma_cream', 2), 'minecraft:magma_block').processingTime(200)

})